Winamp Generated PlayList

HTML Encrypt
Help

Welcome to HTML Encrypt Help. This file should answer all of your questions to HTML Encrypt. If your question still remains unanswered after reading this file, you can e-mail Support@carbosoft.com for further assistance.


Single File Encryption

What is HTML Encrypt?

HTML Encrypt is a utility that encrypt HTML. It encrypts your HTML tags and text into a JavaScript function to keep your content from being copied and tampered with.


Why would I use this program?

HTML Encrypt allows you to protect HTML content you wish not to be duplicated, it encrypts the HTML into a JavaScript function, causing it's source code to be unreadable.


Accuracy of Encryption

HTML Encrypts encryption accuracy is 100% when you use the "Check File After Encrypt" feature. This is the only product of its kind that can offer a 100% encryption accuracy.


Single file encryption is when HTML Encrypt, takes a Single Input File and encrypts the contents and saves it to the Output File. Its pretty easy to use, you start by specifying a Input File (File To Encrypt), and you specify an output file (where the encrypted file will be saved). Then you click Encrypt File. And that's it!

To Access single file encryption just click the Single File tab on the main HTML Encrypt window.


Input File

This is the file that will be encrypted.


Output File

This is where the Encrypted file will be saved.


Multiple File Encryption

Multiple file encrypt is where HTML Encrypt takes a List of files, and encrypts them all and stores them to an output directory. You start by adding files, either single files or an entire directory. Then you specify the output directory (where files will be saved). All files are saved to the output directory with their original filename (ex. brian.html, index.htm, guestbook.php...etc). After you have specified the output directory just click Encrypt Files. That is now easy it easy to encrypt as many files as you want!

To Access multiple file encryption just click the Multiple File tab on the main HTML Encrypt window.


Add File

This will add a single file to the multiple file encryption file list.


Add Directory

This will add all the (.htm, .html, .asp, .php) files that are in a directory to the multiple file encryption list. You can specify wildcards if you only want to add .php files for example.


Remove Item

This will remove a selected item from the Multiple File encryption list.


Output Directory

This is the directory where all encrypted files will be saved. All the files will maintain their original filename (ie. Brian.html, index.htm, guestbook.asp..etc).


Settings

Settings tab is basically all the user defined settings for HTML Encrypt.

To Access Settings just click the Settings tab on the main HTML Encrypt window.


Encrypt Meta Tags

This is a setting to allow the user to decide if they want the meta tags in the HTML encrypted or to remain in plain text. The reason most users would want this is because search engine spidering bots, will use the meta tags to obtain information about a web page, it is recommended that you DO NOT encrypt meta tags.


Encrypt Scripting

This setting allows the user to decide if they want to encrypt scripting. This option is set to enabled by default. Some users prefer to leave their Scripting (ex: JavaScript, VBScript...etc) in clear text.


Encrypt Style Tags

This setting will allow users to encrypt style tags or leave them in plain text. There is NO difference to how the browser will handle the Style Tags, your Style Tags will still be recognized by the browser. This option is set to Enabled by default.


Check File After Encrypt

What this option will do is check the file after it has been encrypt to make sure the file has maintained its integrity. This option is strongly recommended because it will prevent ALL ERRORS with the encryption. This option is set to enabled by default.


Disable Right Click

This option will disable the right click in web browsers when your encrypted page is being viewed.


Work Arounds

Work a rounds are probably the best feature of HTML Encrypt 2.0. This allows certain sections of text/html/code/etc...to be left in plain text and HTML Encrypt will encrypt around them. This feature is mostly used by people that want to encrypt the HTML in their PHP or ASP Files. The uses behind this feature are pretty endless you can specify custom work a rounds so if you want you can leave data in plain text.

Custom Work Arounds

Its easy to use custom work arounds, you just specify the Start and End work around strings. For example if you want to work around php code your start would be <? and the end would be ?> and anything between would be left in plain text.


Registration

This topic will discuss the advantages to registering your copy of HTML Encrypt


Registration Advantages

What are the advantages to registering your copy of HTML Encrypt. There are many.

-No Nag Screen

-No advertisements placed in HTML

-Unlimited Use

-Unlimited Support

-Free Upgrades

You may obtain more information on registering your version of HTML Encrypt at www.carbosoft.com.


How do I register?

If you are using an un-registered version of HTML Encrypt, there will be a Nag Screen that will display every time you run HTML Encrypt. On that nag screen there is a button that says "Register My Copy" you can click that button or you can visit Carbosoft's website at www.carbosoft.com.


Enter Serial Number

If you have registered your version of HTML Encrypt, you should receive a serial number from Carbosoft via e-mail. To enter the serial number, just click the Register HTML Encrypt button from within HTML Encrypt. There will then be an option to enter your Serial Number. Just enter your Name and Serial Number and that's it! Please note that HTML Encrypt must be re-started after you enter your serial number for the changes to take affect.

If you need any further support you may email reghelp@carbosoft.com


Update Check

This feature will check for a newer version of HTML Encrypt than the one you are currently using. If an update is availble you will be prompted to visit the Carbosoft webpage to download the update.